osmo_stats_reporter Struct Reference
Statistics reporting

One statistics reporter instance. More...

`#include <stats.h>`

## Data Fields

enum osmo_stats_reporter_type | type
| Type of the reporter (log, statsd) More...
char * | name
| Human-readable name of this reporter. More...
unsigned int | have_net_config: 1
int | enabled
| is this reporter enabled More...
char * | name_prefix
| prefix for counter names More...
char * | dest_addr_str
| destination IP address More...
char * | bind_addr_str
| local bind IP address More...
int | dest_port
| destination (UDP) port More...
int | mtu
| Maximum Transmission Unit. More...
enum osmo_stats_class | max_class
| Maximum class/index to report. More...
int | running
| is this reporter running More...
struct sockaddr | dest_addr
| destination address of socket More...
int | dest_addr_len
| length of dest_addr in bytes More...
struct sockaddr | bind_addr
| local bind address of socket More...
int | bind_addr_len
| length of bind_addr in bytes More...
int | fd
| file descriptor of socket More...
struct msgb * | buffer
| message buffer for log output More...
int | agg_enabled
| is aggregation enabled? More...
int | force_single_flush
struct llist_head | list
int(* | open )(struct osmo_stats_reporter *srep)
int(* | close )(struct osmo_stats_reporter *srep)
int(* | send_counter )(struct osmo_stats_reporter *srep, const struct rate_ctr_group *ctrg, const struct rate_ctr_desc *desc, int64_t value, int64_t delta)
int(* | send_item )(struct osmo_stats_reporter *srep, const struct osmo_stat_item_group *statg, const struct osmo_stat_item_desc *desc, int64_t value)

## Detailed Description

One statistics reporter instance.

## Field Documentation

## agg_enabled

int osmo_stats_reporter::agg_enabled

is aggregation enabled?

Referenced by osmo_stats_reporter_statsd_send().

## bind_addr

struct sockaddr osmo_stats_reporter::bind_addr

local bind address of socket

## bind_addr_len

int osmo_stats_reporter::bind_addr_len

length of bind_addr in bytes

## bind_addr_str

char* osmo_stats_reporter::bind_addr_str

local bind IP address

## buffer

struct msgb* osmo_stats_reporter::buffer

message buffer for log output

Referenced by osmo_stats_reporter_statsd_send().

## close

int(* osmo_stats_reporter::close) (struct osmo_stats_reporter *srep)

Referenced by osmo_stats_reporter_create_statsd(), and update_srep_config().

## dest_addr

struct sockaddr osmo_stats_reporter::dest_addr

destination address of socket

## dest_addr_len

int osmo_stats_reporter::dest_addr_len

length of dest_addr in bytes

## dest_addr_str

char* osmo_stats_reporter::dest_addr_str

destination IP address

## dest_port

int osmo_stats_reporter::dest_port

destination (UDP) port

## enabled

int osmo_stats_reporter::enabled

is this reporter enabled

Referenced by osmo_stats_reporter_disable(), osmo_stats_reporter_enable(), and update_srep_config().

## fd

int osmo_stats_reporter::fd

file descriptor of socket

Referenced by osmo_stats_reporter_alloc().

## force_single_flush

int osmo_stats_reporter::force_single_flush

Referenced by flush_all_reporters(), handle_counter(), osmo_stat_item_handler(), rate_ctr_handler(), and update_srep_config().

## have_net_config

unsigned int osmo_stats_reporter::have_net_config

Referenced by osmo_stats_reporter_create_log(), and osmo_stats_reporter_create_statsd().

## list

struct llist_head osmo_stats_reporter::list

Referenced by flush_all_reporters(), osmo_stat_item_handler(), osmo_stats_reporter_alloc(), osmo_stats_reporter_find(), osmo_stats_reporter_free(), and rate_ctr_handler().

## max_class

enum osmo_stats_class osmo_stats_reporter::max_class

Maximum class/index to report.

FIXME: More details!

Referenced by osmo_stats_reporter_check_config(), and osmo_stats_reporter_set_max_class().

## mtu

int osmo_stats_reporter::mtu

Maximum Transmission Unit.

## name

char* osmo_stats_reporter::name

Human-readable name of this reporter.

Referenced by osmo_stats_reporter_alloc(), and osmo_stats_reporter_find().

## name_prefix

char* osmo_stats_reporter::name_prefix

prefix for counter names

Referenced by osmo_stats_reporter_log_send(), osmo_stats_reporter_set_name_prefix(), and osmo_stats_reporter_statsd_send().

## open

int(* osmo_stats_reporter::open) (struct osmo_stats_reporter *srep)

Referenced by osmo_stats_reporter_create_statsd(), and update_srep_config().

## running

int osmo_stats_reporter::running

is this reporter running

Referenced by flush_all_reporters(), handle_counter(), osmo_stat_item_handler(), rate_ctr_handler(), and update_srep_config().

## send_counter

int(* osmo_stats_reporter::send_counter) (struct osmo_stats_reporter *srep, const struct rate_ctr_group *ctrg, const struct rate_ctr_desc *desc, int64_t value, int64_t delta)

Referenced by osmo_stats_reporter_create_log(), osmo_stats_reporter_create_statsd(), and osmo_stats_reporter_send_counter().

## send_item

int(* osmo_stats_reporter::send_item) (struct osmo_stats_reporter *srep, const struct osmo_stat_item_group *statg, const struct osmo_stat_item_desc *desc, int64_t value)

Referenced by osmo_stats_reporter_create_log(), osmo_stats_reporter_create_statsd(), and osmo_stats_reporter_send_item().

## type

enum osmo_stats_reporter_type osmo_stats_reporter::type

Type of the reporter (log, statsd)

Referenced by osmo_stats_reporter_alloc(), and osmo_stats_reporter_find().

The documentation for this struct was generated from the following file:

- include/osmocom/core/stats.h